module.exports = {
    extends: ['stylelint-config-standard-scss', 'stylelint-config-prettier-scss'],
    rules: {
        'color-no-invalid-hex': true,
        'font-family-no-duplicate-names': true,
        'font-family-no-missing-generic-family-keyword': true,
        'function-calc-no-unspaced-operator': true,
        'function-linear-gradient-no-nonstandard-direction': true,
        'string-no-newline': true,
        'unit-no-unknown': true,
        'property-no-unknown': true,
        'keyframe-declaration-no-important': true,
        'declaration-block-no-duplicate-properties': [
            true,
            { ignore: ['consecutive-duplicates-with-different-values'] },
        ],
        'declaration-block-no-shorthand-property-overrides': true,
        'block-no-empty': true,
        'selector-pseudo-class-no-unknown': true,
        'selector-pseudo-element-no-unknown': true,
        'selector-type-no-unknown': true,
        'selector-anb-no-unmatchable': null,
        'media-feature-name-no-unknown': true,
        'at-rule-no-unknown': [
            true,
            {
                ignoreAtRules: [
                    'use',
                    'forward',
                    'import',
                    'mixin',
                    'include',
                    'function',
                    'extend',
                    'at-root',
                    'error',
                    'warn',
                    'debug',
                    'if',
                    'else',
                    'each',
                    'for',
                    'while',
                    'return',
                ],
            },
        ],
        'comment-no-empty': true,
        'no-descending-specificity': null,
        'no-duplicate-at-import-rules': true,
        'no-duplicate-selectors': true,
        'no-empty-source': true,
        'no-invalid-double-slash-comments': null,

        'alpha-value-notation': 'number',
        'hue-degree-notation': 'angle',
        'color-function-notation': 'modern',
        'color-named': ['always-where-possible', { ignore: ['inside-function'] }],
        'color-no-hex': null,
        'font-weight-notation': 'named-where-possible',
        'function-url-no-scheme-relative': null,
        'keyframes-name-pattern': null,
        'number-max-precision': 3,
        'time-min-milliseconds': null,
        'shorthand-property-no-redundant-values': true,
        'value-no-vendor-prefix': true,
        'custom-property-pattern': null,
        'property-no-vendor-prefix': true,
        'selector-pseudo-element-colon-notation': 'double',
        'selector-class-pattern': null,
        'scss/at-extend-no-missing-placeholder': null,
        'scss/no-global-function-names': null, // todo: reintroduce this later with sass migrate

        'function-name-case': 'lower',
        'function-url-quotes': 'never',

        'liberty/use-logical-spec': 'always',
    },
    plugins: ['stylelint-use-logical-spec'],
};
